// $Id: CStdoutWrapper.cc,v 1.3 2003/05/30 05:27:12 ta_muto Exp $

#include <CStdoutWrapper.h>

wax::CStdoutWrapper::CStdoutWrapper(FILE* initFp)
{
	if(initFp == NULL) {
		fp = stdout;
	} else {
		fp = initFp;
	}
}

void wax::CStdoutWrapper::write(const char* buffer, int size)
{
	fwrite(buffer, 1, size, fp);
}

#if LE==1
FILE* wax::CStdoutWrapper::getFP()
{
	return fp;
}
#endif
